gtk.CellRendererCombo
Prev | The gtk Class Reference | Next

## gtk.CellRendererCombo

gtk.CellRendererCombo — an object that renders a `gtk.ComboBoxEntry` into a `gtk.TreeView` cell (new in PyGTK 2.6)

## Synopsis

    class gtk.CellRendererCombo(gtk.CellRendererText):
        gtk.CellRendererCombo()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.CellRendererText
            +-- gtk.CellRendererCombo

## gtk.CellRendererCombo Properties

gtk.Object Properties

gtk.CellRenderer Properties

gtk.CellRendererText Properties

"has-entry" | Read/Write | If `FALSE`, don't allow entering strings other than the given ones. Default value: `TRUE`. Available in GTK+ 2.6 and above.
"model" | Read/Write | The tree model containing the possible values for the combo box entry. Available in GTK+ 2.6 and above.
"text-column" | Read/Write | A column in the data source model to get the strings from. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.6 and above.

## gtk.CellRendererCombo Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.CellRenderer Signal Prototypes

gtk.CellRendererText Signal Prototypes

## Description

### Note

This object is available in PyGTK 2.6 and above.

The `gtk.CellRendererCombo` manages the rendering of a `gtk.ComboBoxEntry` into a `gtk.TreeView` cell.

## Constructor

        gtk.CellRendererCombo()

Returns : | the new cell renderer

### Note

This constructor is available in PyGTK 2.6 and above.

Creates a new `gtk.CellRendererCombo`. Rendering parameters are adjusted using the object properties. The object properties can be set globally (with `set_property`()). Also, with `gtk.TreeViewColumn`, you can bind a property to a value in a `gtk.TreeModel`. For example, you can bind the "text" property on the cell renderer to a string value in the model, thus rendering a different string in each row of the `gtk.TreeView`.

Prev | Up | Next
gtk.CellRendererAccel | Home | gtk.CellRendererPixbuf